apiVersion: admissionregistration.k8s.io/v1
kind: ValidatingWebhookConfiguration
metadata:
  annotations:
  creationTimestamp: "2025-10-29T11:53:24Z"
  generation: 2
  labels:
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    cdi.kubevirt.io: cdi-api
    operator.cdi.kubevirt.io/createVersion: 4.19.11
    operator.cdi.kubevirt.io/updateVersion: 4.19.12
  name: cdi-api-validate
  ownerReferences:
  - apiVersion: cdi.kubevirt.io/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: CDI
    name: cdi-kubevirt-hyperconverged
    uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
  resourceVersion: "2226768"
  uid: fe389be2-cddc-4ba1-bc8d-5498c50f5bb3
webhooks:
- admissionReviewVersions:
  - v1
  - v1beta1
  clientConfig:
    service:
      name: cdi-api
      namespace: openshift-cnv
      path: /cdi-validate
      port: 443
  failurePolicy: Ignore
  matchPolicy: Exact
  name: cdi-validate.cdi.kubevirt.io
  namespaceSelector: {}
  objectSelector: {}
  rules:
  - apiGroups:
    - cdi.kubevirt.io
    apiVersions:
    - v1beta1
    operations:
    - DELETE
    resources:
    - cdis
    scope: '*'
  sideEffects: None
  timeoutSeconds: 30
